(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (global = global || self, factory(global['google-maps-icons'] = {}));
}(this, (function (exports) { 'use strict';

  const DOT = "dot";
  const NICKNAME = "nickname";
  const HEART = "heart";
  const CONSTELLATION_STAR = "constellation_star";
  const HOME = "home";
  const GENERIC = "generic";
  const GAS = "gas";
  const PARKING = "parking";
  const CAR_RENTAL = "car_rental";
  const LODGING = "lodging";
  const RESORT = "resort";
  const BANK_EURO = "bank_euro";
  const BANK_DOLLAR = "bank_dollar";
  const BANK_JP = "bank_jp";
  const ATM = "atm";
  const BANK_INTL = "bank_intl";
  const HOSPITAL_H = "hospital_H";
  const HOSPITAL_SHIELD = "hospital_shield";
  const PHARMACY = "pharmacy";
  const FIRE_JP = "fire_jp";
  const MEDICAL = "medical";
  const TREE = "tree";
  const MOUNTAIN = "mountain";
  const STADIUM = "stadium";
  const PAW = "paw";
  const CAMPING = "camping";
  const CEMETERY = "cemetery";
  const GOLF = "golf";
  const FLOWER = "flower";
  const HIKING = "hiking";
  const BOATING = "boating";
  const FISHING = "fishing";
  const HOTSPRING = "hotspring";
  const AIRPORT = "airport";
  const RESTAURANT = "restaurant";
  const BAR = "bar";
  const CAFE = "cafe";
  const GLASS = "glass";
  const SHOPPINGBAG = "shoppingbag";
  const SHOPPINGCART = "shoppingcart";
  const PALETTE = "palette";
  const LIGHTHOUSE = "lighthouse";
  const THEATER = "theater";
  const CAMERA = "camera";
  const DICE = "dice";
  const DOLPHIN = "dolphin";
  const EVENT_VENUE = "event_venue";
  const FERRISWHEEL = "ferriswheel";
  const HISTORIC = "historic";
  const HISTORIC_CN = "historic_cn";
  const MUSEUM = "museum";
  const MOVIE = "movie";
  const MONUMENT = "monument";
  const NOTE = "note";
  const RELIC_JP = "relic_jp";
  const CIVIC_BLDG = "civic_bldg";
  const POSTOFFICE = "postoffice";
  const POSTOFFICE_JP = "postoffice_jp";
  const LIBRARY = "library";
  const POLICE = "police";
  const POLICE_JP = "police_jp";
  const SCHOOL = "school";
  const SCHOOL_CN_JP = "school_cn_jp";
  const BRIDGE = "bridge";
  const RESTROOM = "restroom";
  const CITY_OFFICE_JP = "city_office_jp";
  const CIVIL_OFFICE_JP = "civil_office_jp";
  const GOVERNMENT_CN = "government_cn";
  const WORSHIP_CHRISTIAN = "worship_christian";
  const WORSHIP_TEMPLE = "worship_temple";
  const WORSHIP_JEWISH = "worship_jewish";
  const WORSHIP_MORMON = "worship_mormon";
  const WORSHIP_DHARMA = "worship_dharma";
  const WORSHIP_BUDDHIST = "worship_buddhist";
  const WORSHIP_HINDU = "worship_hindu";
  const WORSHIP_JAIN = "worship_jain";
  const WORSHIP_SHINTO = "worship_shinto";
  const WORSHIP_SIKH = "worship_sikh";
  const WORSHIP_ISLAM = "worship_islam";
  const TRAIN = "train";
  const BUS = "bus";
  const METRO = "metro";
  const SUBWAY = "subway";
  const FUNICULAR = "funicular";

  const families = {
    services: { color: "909ce1" },
    health: { color: "f88181" },
    outdoor: { color: "4db546" },
    transport: { color: "10bdff" },
    food: { color: "ff9e67" },
    shopping: { color: "4b96f3" },
    entertainment: { color: "13b5c7" },
    civil: { color: "7b9eb0" },
    worship: { color: "7b9eb0" },
    transit: { color: "10bdff" }
  };

  const icons = {
    dot: { type: "poi", color: "7b9eb0" },
    nickname: { type: "poi", color: "4285f4" },
    heart: { type: "poi", color: "fa507d" },
    constellation_star: { type: "poi", color: "fbc02d" },
    home: { type: "poi", color: "4285f4" },
    generic: { type: "poi", color: "acc1" },
    gas: { type: "poi", family: "services" },
    parking: { type: "poi", family: "services" },
    car_rental: { type: "poi", family: "services" },
    lodging: { type: "poi", family: "services" },
    resort: { type: "poi", family: "services" },
    bank_euro: { type: "poi", family: "services" },
    bank_dollar: { type: "poi", family: "services" },
    bank_jp: { type: "poi", family: "services" },
    atm: { type: "poi", family: "services" },
    bank_intl: { type: "poi", family: "services" },
    hospital_H: { type: "poi", family: "health" },
    hospital_shield: { type: "poi", family: "health" },
    pharmacy: { type: "poi", family: "health" },
    fire_jp: { type: "poi", family: "health" },
    medical: { type: "poi", family: "health" },
    tree: { type: "poi", family: "outdoor" },
    mountain: { type: "poi", family: "outdoor" },
    stadium: { type: "poi", family: "outdoor" },
    paw: { type: "poi", family: "outdoor" },
    camping: { type: "poi", family: "outdoor" },
    cemetery: { type: "poi", family: "outdoor" },
    golf: { type: "poi", family: "outdoor" },
    flower: { type: "poi", family: "outdoor" },
    hiking: { type: "poi", family: "outdoor" },
    boating: { type: "poi", family: "outdoor" },
    fishing: { type: "poi", family: "outdoor" },
    hotspring: { type: "poi", family: "outdoor" },
    airport: { type: "poi", family: "transport" },
    restaurant: { type: "poi", family: "food" },
    bar: { type: "poi", family: "food" },
    cafe: { type: "poi", family: "food" },
    glass: { type: "poi", family: "food" },
    shoppingbag: { type: "poi", family: "shopping" },
    shoppingcart: { type: "poi", family: "shopping" },
    palette: { type: "poi", family: "entertainment" },
    lighthouse: { type: "poi", family: "entertainment" },
    theater: { type: "poi", family: "entertainment" },
    camera: { type: "poi", family: "entertainment" },
    dice: { type: "poi", family: "entertainment" },
    dolphin: { type: "poi", family: "entertainment" },
    event_venue: { type: "poi", family: "entertainment" },
    ferriswheel: { type: "poi", family: "entertainment" },
    historic: { type: "poi", family: "entertainment" },
    historic_cn: { type: "poi", family: "entertainment" },
    museum: { type: "poi", family: "entertainment" },
    movie: { type: "poi", family: "entertainment" },
    monument: { type: "poi", family: "entertainment" },
    note: { type: "poi", family: "entertainment" },
    relic_jp: { type: "poi", family: "entertainment" },
    civic_bldg: { type: "poi", family: "civil" },
    postoffice: { type: "poi", family: "civil" },
    postoffice_jp: { type: "poi", family: "civil" },
    library: { type: "poi", family: "civil" },
    police: { type: "poi", family: "civil" },
    police_jp: { type: "poi", family: "civil" },
    school: { type: "poi", family: "civil" },
    school_cn_jp: { type: "poi", family: "civil" },
    bridge: { type: "poi", family: "civil" },
    restroom: { type: "poi", family: "civil" },
    city_office_jp: { type: "poi", family: "civil" },
    civil_office_jp: { type: "poi", family: "civil" },
    government_cn: { type: "poi", family: "civil" },
    worship_christian: { type: "poi", family: "worship" },
    worship_temple: { type: "poi", family: "worship" },
    worship_jewish: { type: "poi", family: "worship" },
    worship_mormon: { type: "poi", family: "worship" },
    worship_dharma: { type: "poi", family: "worship" },
    worship_buddhist: { type: "poi", family: "worship" },
    worship_hindu: { type: "poi", family: "worship" },
    worship_jain: { type: "poi", family: "worship" },
    worship_shinto: { type: "poi", family: "worship" },
    worship_sikh: { type: "poi", family: "worship" },
    worship_islam: { type: "poi", family: "worship" },
    train: { type: "transit", family: "transit" },
    bus: { type: "transit", family: "transit" },
    metro: { type: "transit", family: "transit" },
    subway: { type: "transit", family: "transit" },
    funicular: { type: "transit", family: "transit" }
  };

  function googleMapIcon(icon, { color, scale } = { scale: 1 }) {
    if (!icons[icon]) {
      return googleMapIcon(GENERIC, { color, scale });
    }
    const iconObj = icons[icon];
    if (!color) {
      color = iconObj.color || families[iconObj.family].color || "7b9eb0";
    }
    if (iconObj.type === "poi") {
      return `https://www.google.com/maps/vt/icon/name=assets/icons/poi/tactile/pinlet_shadow-1-small.png,assets/icons/poi/tactile/pinlet_outline_v2-1-small.png,assets/icons/poi/tactile/pinlet-1-small.png,assets/icons/poi/quantum/pinlet/${icon}_pinlet-1-small.png&highlight=ff000000,ffffff,${color},ffffff?scale=${scale}`;
    }
    return `https://www.google.com/maps/vt/icon/name=assets/icons/transit/quantum_v2/transit-container-outline-1-small.png,assets/icons/transit/quantum_v2/transit-container-1-small.png,assets/icons/transit/quantum_v2/${icon}-1-small.png&highlight=ffffff,${color},ffffff?scale=${scale}`;
  }

  exports.AIRPORT = AIRPORT;
  exports.ATM = ATM;
  exports.BANK_DOLLAR = BANK_DOLLAR;
  exports.BANK_EURO = BANK_EURO;
  exports.BANK_INTL = BANK_INTL;
  exports.BANK_JP = BANK_JP;
  exports.BAR = BAR;
  exports.BOATING = BOATING;
  exports.BRIDGE = BRIDGE;
  exports.BUS = BUS;
  exports.CAFE = CAFE;
  exports.CAMERA = CAMERA;
  exports.CAMPING = CAMPING;
  exports.CAR_RENTAL = CAR_RENTAL;
  exports.CEMETERY = CEMETERY;
  exports.CITY_OFFICE_JP = CITY_OFFICE_JP;
  exports.CIVIC_BLDG = CIVIC_BLDG;
  exports.CIVIL_OFFICE_JP = CIVIL_OFFICE_JP;
  exports.CONSTELLATION_STAR = CONSTELLATION_STAR;
  exports.DICE = DICE;
  exports.DOLPHIN = DOLPHIN;
  exports.DOT = DOT;
  exports.EVENT_VENUE = EVENT_VENUE;
  exports.FERRISWHEEL = FERRISWHEEL;
  exports.FIRE_JP = FIRE_JP;
  exports.FISHING = FISHING;
  exports.FLOWER = FLOWER;
  exports.FUNICULAR = FUNICULAR;
  exports.GAS = GAS;
  exports.GENERIC = GENERIC;
  exports.GLASS = GLASS;
  exports.GOLF = GOLF;
  exports.GOVERNMENT_CN = GOVERNMENT_CN;
  exports.HEART = HEART;
  exports.HIKING = HIKING;
  exports.HISTORIC = HISTORIC;
  exports.HISTORIC_CN = HISTORIC_CN;
  exports.HOME = HOME;
  exports.HOSPITAL_H = HOSPITAL_H;
  exports.HOSPITAL_SHIELD = HOSPITAL_SHIELD;
  exports.HOTSPRING = HOTSPRING;
  exports.LIBRARY = LIBRARY;
  exports.LIGHTHOUSE = LIGHTHOUSE;
  exports.LODGING = LODGING;
  exports.MEDICAL = MEDICAL;
  exports.METRO = METRO;
  exports.MONUMENT = MONUMENT;
  exports.MOUNTAIN = MOUNTAIN;
  exports.MOVIE = MOVIE;
  exports.MUSEUM = MUSEUM;
  exports.NICKNAME = NICKNAME;
  exports.NOTE = NOTE;
  exports.PALETTE = PALETTE;
  exports.PARKING = PARKING;
  exports.PAW = PAW;
  exports.PHARMACY = PHARMACY;
  exports.POLICE = POLICE;
  exports.POLICE_JP = POLICE_JP;
  exports.POSTOFFICE = POSTOFFICE;
  exports.POSTOFFICE_JP = POSTOFFICE_JP;
  exports.RELIC_JP = RELIC_JP;
  exports.RESORT = RESORT;
  exports.RESTAURANT = RESTAURANT;
  exports.RESTROOM = RESTROOM;
  exports.SCHOOL = SCHOOL;
  exports.SCHOOL_CN_JP = SCHOOL_CN_JP;
  exports.SHOPPINGBAG = SHOPPINGBAG;
  exports.SHOPPINGCART = SHOPPINGCART;
  exports.STADIUM = STADIUM;
  exports.SUBWAY = SUBWAY;
  exports.THEATER = THEATER;
  exports.TRAIN = TRAIN;
  exports.TREE = TREE;
  exports.WORSHIP_BUDDHIST = WORSHIP_BUDDHIST;
  exports.WORSHIP_CHRISTIAN = WORSHIP_CHRISTIAN;
  exports.WORSHIP_DHARMA = WORSHIP_DHARMA;
  exports.WORSHIP_HINDU = WORSHIP_HINDU;
  exports.WORSHIP_ISLAM = WORSHIP_ISLAM;
  exports.WORSHIP_JAIN = WORSHIP_JAIN;
  exports.WORSHIP_JEWISH = WORSHIP_JEWISH;
  exports.WORSHIP_MORMON = WORSHIP_MORMON;
  exports.WORSHIP_SHINTO = WORSHIP_SHINTO;
  exports.WORSHIP_SIKH = WORSHIP_SIKH;
  exports.WORSHIP_TEMPLE = WORSHIP_TEMPLE;
  exports.default = googleMapIcon;
  exports.families = families;
  exports.icons = icons;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=bundle.umd.js.map
